package com.yihaomen.hm.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.yihaomen.hm.model.User;
import com.yihaomen.hm.service.UserService;

import java.util.List;

/**
 * Created by Ramostear on 2019/6/6 0006.
 */
@RestController
@RequestMapping("/users")
public class UserController {

	@Autowired
    private UserService userService;

    @GetMapping("/save")
    public User save(User user){
        return userService.save(user);
    }

    @GetMapping("/{id}")
    public User findOne(@PathVariable Long id){
        return userService.findById(id);
    }

    @GetMapping
    public List<User> findAll(){
        return userService.findAll();
    }
}
